#
# spec file for package comgt (Version 0.32)
#
# norootforbuild

Name:           comgt
Version:        0.32
Release:        3.6
Summary:        A Scriptable Terminal Program
License: GPL-2.0
Group:          Hardware/Mobile
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#Url:            http://www.pharscape.org
Url:		http://comgt.sourceforge.net/
AutoReqProv:    on
Source0:        %{name}.%{version}.tgz
Source100:	%{name}.changes
Patch0:         comgt-0.32-compilerwarning-fix.diff
Patch1:         comgt-0.32-use-cgreg-for-registration.diff
Patch2:		comgt-0.32-add_ttyUSB1_to_default_devices.patch
Patch3:		comgt-0.32-fix_APN_script.diff
Patch4:		comgt-0.32-add_setapn_enterpin_builtins.diff
Patch5:		comgt-0.32-dont_use_explicit_device_in_sigmon_script.diff

%description
Comgt is a terminal program with its own script language. It is
especially designed (with default scripts) to work with nearly all
Option 2G and 3G (UMTS) datacards and to help you to integrate them
into Linux.



Authors:
--------
    Paul Hardwick <paul@peck.org>



%prep
%setup0 -q -n %{name}.%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0

%build
find . -type f -print0 | xargs -0 chmod -x
make CFLAGS="$RPM_OPT_FLAGS -c"

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir} $RPM_BUILD_ROOT/%{_mandir}/man1 $RPM_BUILD_ROOT/etc
make install EXE=$RPM_BUILD_ROOT/usr/bin/ MAN=$RPM_BUILD_ROOT/%{_mandir}/man1/ SCRIPT="" MANP=comgt.1 CFLAGS="$RPM_OPT_FLAGS" SCRIPTPATH=$RPM_BUILD_ROOT/etc/comgt
rm -rf $RPM_BUILD_ROOT/etc/comgt
install -m 0644 sigmon.1 $RPM_BUILD_ROOT/%{_mandir}/man1/
%files

%defattr(-,root,root)
%{_bindir}/*
%doc CHANGELOG COMPILING gpl.txt gprs.txt MANIFEST scripts TODO umts.txt
%doc %{_mandir}/man1/*

%clean
rm -rf %{buildroot}

%changelog
* Sun Sep  5 2010 packman@links2linux.de - 0.32
- improved setapn builtin
* Thu Aug 26 2010 packman@links2linux.de - 0.32
- added patches
  comgt-0.32-fix_APN_script.diff
  comgt-0.32-dont_use_explicit_device_in_sigmon_script.diff
  comgt-0.32-add_setapn_enterpin_builtins.diff
- install sigmon.1 as a manual page
